Bug Hunting Session
Bug 92934 - Web Wizard: Cannot Export Zip archive.
Summary: Web Wizard: Cannot Export Zip archive.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.3 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-26 03:22 UTC by sawakaze
Modified: 2016-10-25 19:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sawakaze 2015-07-26 03:22:13 UTC
Hi,

After following steps, LibreOffice cannot export Zip archived web page.
(1) Open "Web Wizard" (Files > Wizards > Web Wizard)
(2) go to "7. Preview" step
(3) "To a ZIP Archive" set "ON"
(4) press ... button and set zip archive name.
---> but selected archive path is not shown, and "Finish" button is not enable.
Therefore, user cannot export webpage with Zip Archive.

env...
OS : Linux 
Version: 5.0.0.4
Build ID: cf112dc905650fb985306a7a03d2fe3fcc6c978f
Locale: en-US (C)

regards,
sawakaze.
Comment 1 Buovjaga 2015-07-31 15:36:24 UTC
Reproduced.

I get an assertion failed. If I skip it, the path does not get added and Finish stays grey.

Btw. I already get an assert failed when adding the file.

Sidenote: the fields in step 6 have a block of grey in them (except Title).

This is what I got in Windbg after "Try again":

Assertion failed!

Program: ...ram Files (x86)\LibreOfficeDev 5\program\vcllo.dll
File: C:/cygwin/home/tinderbox/master/vcl/source/app/svapp.cxx
Line: 397

Expression: nReleased != 0

For information on how your program can cause an assertion
failure, see the Visual C++ documentation on asserts

(Press Retry to debug the application - JIT must be enabled)(26c4.1064): Break instruction exception - code 80000003 (first chance)
eax=00000004 ebx=6b70f55c ecx=3eb17868 edx=6677b9ab esi=00000240 edi=00000000
eip=65528259 esp=00b4b934 ebp=00b4c460 iopl=0         nv up ei pl zr na pe nc
cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00000246
MSVCR120!_wassert+0x59c:
65528259 cc              int     3

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 902255645328efde34ddf62227c8278e8dd61ff0
TinderBox: Win-x86@39, Branch:master, Time: 2015-07-30_03:52:07
Locale: en-US (fi_FI)
Comment 2 Julien Nabet 2015-09-19 13:12:40 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.

I submitted a patch to review, see https://gerrit.libreoffice.org/18715
Comment 3 Commit Notification 2015-09-19 14:06:42 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e72a4a3c2e1608e301daef0b6e87cc70d814e736

tdf#92934: Web Wizard: Cannot Export Zip archive

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Julien Nabet 2015-09-19 18:12:07 UTC
Sorry, the patch was wrong.
Comment 5 Julien Nabet 2015-09-19 20:35:16 UTC
After some more tests, it seems the fix is ok but it revealed a pb in the session management.
Comment 6 Commit Notification 2015-09-21 12:00:46 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a4edfbc4bce290e4e26f55728f670bf24423151&h=libreoffice-5-0

tdf#92934: Web Wizard: Cannot Export Zip archive

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.